apiVersion: autoscaling/v1
kind: HorizontalPodAutoscaler
metadata:
  name: follows-api
spec:
  scaleTargetRef:
    apiVersion: apps/v1
    kind: Deployment
    name: follows-api
  minReplicas: 1
  maxReplicas: 10
  targetCPUUtilizationPercentage: 50